Page MenuHomePhabricator

Prepare wi-fi for Hackathon in Prague
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Hackathons/Handbook/Venue

  • Get in contact with IT people from NTK
  • Visit NTK and verify if all ports and services needed for hackathon are really available
  • Ensure that line is really capable to handle all the traffic we expect
  • Obtain IPv4 (and IPv6) public addresses of GW in NTK for exceptions on Freenode and WMF infrastructure
  • (optional) prepare some backup solution in case line wasn't strong enough

Event Timeline

Petrb created this task.Jan 15 2019, 8:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2019, 8:17 PM
Petrb claimed this task.Jan 15 2019, 8:17 PM
Petrb updated the task description. (Show Details)Jan 15 2019, 8:24 PM

I will probably visit NTK by end of this month, unfortunatelly I don't have time earlier, but we still have lot of time for this.

Petrb triaged this task as High priority.Jan 17 2019, 1:57 PM

End of January is fine. Please let me know, when you know a precise date, I could call them and try to make an appointment at NTK. Thank you!

Petrb added a comment.Feb 6 2019, 4:15 PM

today I briefly visited NTK just to confirm some basic info, there are multiple wi-fi's in place and all of them are restricted and not publicly accessible, which is unexpected, but I suppose that they will generate some conference-wide login for us or unrestricted temporary network. The networks in place are separate, one of 2.4GHZ and other one 5GHZ, info in screenshots:

List of NTK wi-fi's:

Mestska knihovna (public library) details:


This wi-fi allows connection but there is no internet

NTK simple:

This takes me to a login page, no guest access available.

Therefore I was unable to test network speed as well if any ports are blocked, despite the information from NTK staff that wi-fi is unrestricted and without firewall. I will get in touch with NTK staff again and will ask them about this. Stay tuned.

Petrb added a subscriber: Rfarrand.Feb 7 2019, 8:32 AM

So according to response I got from staff, they will create a separate temporary network with SSID of our choosing (any ideas @Rfarrand? NTK-Wikimedia was proposed by them, IDK if it has to have NTK prefix).

All wi-fi's in area are provided by them, and probably same network hardware, so any outage is going to be affecting all of them. Which is not good, but I am not sure if there is anything we can do about this. In case of some disaster we could probably use couple of 4G wi-fi routers, but I don't expect single one to be able to handle more than 50 devices. The event of outage is extremely unlikely though, they said in past 10 years they had only 1 outage.

Petrb updated the task description. (Show Details)Feb 7 2019, 8:34 AM
Aklapper closed this task as Resolved.May 22 2019, 12:43 PM

This happened, hence closing as resolved.